<?php

namespace Drupal\Tests\copyscape\Kernel;

use Drupal\KernelTests\KernelTestBase;

/**
 * Tests the Copyscape API Connection.
 *
 * @group copyscape
 */
class APIConnectionTest extends KernelTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = [
    'system',
    'copyscape',
  ];

  /**
   * {@inheritdoc}
   */
  public function setUp():void {
    parent::setUp();

    $this->installConfig(['copyscape']);
  }

  /**
   * Tests reading from the actual copyscape settings.
   */
  public function testReadingCopyscapeSettings() {
    // This config will be available in any service or place the config.factory
    // is injected as a dependency. Example:
    $copyscape_config = $this->config('copyscape.settings');
    $this->assertNotNull($copyscape_config);
  }

}
